Bug 515890 - (CVE-2009-2676) CVE-2009-2676 JRE applet launcher vulnerability
CVE-2009-2676 JRE applet launcher vulnerability
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,source=sun,public=20...
: Security
Depends On: 515679 515680 515682 515683 521225 521226 540443
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-06 05:09 EDT by Marc Schoenefeld
Modified: 2015-08-22 11:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-22 11:40:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2009-08-06 05:09:04 EDT
A security vulnerability in the JNLPAppletLauncher may impact users of the Sun JDK and JRE. Non-current versions of the JNLPAppletLauncher may be re-purposed with an untrusted Java applet to write arbitrary files on the system of the user downloading and running the untrusted applet.

The JNLPAppletLauncher is a general purpose JNLP-based applet launcher class for deploying applets that use extension libraries containing native code.

http://sunsolve.sun.com/search/document.do?assetkey=1-66-263490-1
Comment 1 errata-xmlrpc 2009-08-06 16:38:24 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1199 https://rhn.redhat.com/errata/RHSA-2009-1199.html
Comment 2 errata-xmlrpc 2009-08-06 16:42:19 EDT
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1200 https://rhn.redhat.com/errata/RHSA-2009-1200.html
Comment 4 errata-xmlrpc 2009-11-12 13:15:39 EST
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1582 https://rhn.redhat.com/errata/RHSA-2009-1582.html
Comment 6 errata-xmlrpc 2009-12-11 08:43:50 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html
Comment 7 errata-xmlrpc 2010-01-14 11:32:58 EST
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html

Note You need to log in before you can comment on or make changes to this bug.